using System.Collections.Generic;
using JustinAngel.MetroBlog.Services.Data;

namespace JustinAngel.MetroBlog.Services.BlogPostService
{
    public interface IBlogPostService
    {
        BlogPost Find(int pk);
        BlogPost Get(string permLink, string username);
        void ClearCategoriesOn(BlogPost post);
        List<BlogPost> GetHomePageBlogPosts();
        List<BlogPost> SearchFor(string searchTerm, string username);
        List<BlogPost> GetBlogPostsInCategory(string category, string username);
        List<BlogPost> GetUserByUserNameWithBlogPosts(string str1);
        List<BlogPost> GetBlogPostsInCategory(Category CurrentCategory);
        bool Exists(string Permlink);
    }
}