using System.Collections.Generic;
using JustinAngel.MetroBlog.Services.Data;

namespace JustinAngel.MetroBlog.Services.CategoryService
{
    public interface ICategoryService
    {
        Category GetCatrgoryOrCreateNewOne(string curCategoryString);
        IList<BlogPost> GetTopBlogPostsInCategoryForUser(Category category, int NumberOfBlogPosts, string Username);

        bool Exists(string articlePermLink);

        Category GetByLink(string link);
    }
}